summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorvv770d <vv770d@att.com>2022-02-08 17:07:10 +0000
committerVijay Venkatesh Kumar <vv770d@att.com>2022-03-04 01:17:50 +0000
commit4c7bbb6d16ec64974b4c41c2b40f918de129e11d (patch)
treeffe4cfa0607d01c40defad3754a265e6fb0842bf
parenteaf54021ed975ec06717633deb3225487dd0fd7f (diff)
[DCAE] Add automated review for snmptrap verify
https://jira.linuxfoundation.org/plugins/servlet/theme/portal/2/IT-23562 Change-Id: I718152d6cd13862b8863af3cdd6d4b5e8f86610d Signed-off-by: vv770d <vv770d@att.com> Issue-ID: DCAEGEN2-2997 Issue-ID: DCAEGEN2-2999 Signed-off-by: vv770d <vv770d@att.com>
-rw-r--r--jjb/dcaegen2/dcaegen2-collectors-snmptrap.yaml3
-rwxr-xr-xshell/onap-gerrit-review-wrapper.sh36
2 files changed, 38 insertions, 1 deletions
diff --git a/jjb/dcaegen2/dcaegen2-collectors-snmptrap.yaml b/jjb/dcaegen2/dcaegen2-collectors-snmptrap.yaml
index 06c1505a3..799fd7842 100644
--- a/jjb/dcaegen2/dcaegen2-collectors-snmptrap.yaml
+++ b/jjb/dcaegen2/dcaegen2-collectors-snmptrap.yaml
@@ -15,7 +15,8 @@
build-node: ubuntu1804-docker-8c-8g
mvn-settings: 'dcaegen2-collectors-snmptrap-settings'
jobs:
- - '{project-name}-python-jobs'
+ - '{project-name}-python-jobs':
+ pre-build-script: !include-raw-escape: ../../shell/onap-gerrit-review-wrapper.sh
- '{project-name}-{stream}-release-version-java-daily'
- '{project-name}-gerrit-release-jobs':
build-node: centos7-docker-8c-8g
diff --git a/shell/onap-gerrit-review-wrapper.sh b/shell/onap-gerrit-review-wrapper.sh
new file mode 100755
index 000000000..ba07fe724
--- /dev/null
+++ b/shell/onap-gerrit-review-wrapper.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# ================================================================================
+# Copyright (c) 2022 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+
+set -eu
+echo "--> onap-gerrit-review-wrapper.sh"
+
+# Cleanup temporary directory if exist
+rm -Rf /tmp/ogr
+
+# Create temporary directory to clone OGR repository
+(
+ mkdir /tmp/ogr
+ cd /tmp/ogr
+ git clone https://github.com/TonyLHansen/onap-gerrit-review.git
+)
+# Add OGR/bin to PATH
+export PATH=$PATH:/tmp/ogr/onap-gerrit-review/bin
+
+# Execute OGR
+onap-gerrit-review -E git pull "https://gerrit.onap.org/r/$GERRIT_PROJECT" "$GERRIT_REFSPEC"
+